import { AufnahmeClient } from "#components/Ausweis/types.js";
import { AuditType, hidden } from "../audits/hidden.js";

export function auditHeizungGebaeudeBaujahr(gebaeude: AufnahmeClient): boolean {
	if ((gebaeude.baujahr_heizung && gebaeude.baujahr_heizung.length > 0) && (gebaeude.baujahr_gebaeude && gebaeude.baujahr_gebaeude.length > 0)) {
		return gebaeude.baujahr_heizung[0] > 1500 &&
	gebaeude.baujahr_gebaeude[0] > 1500 &&
	gebaeude.baujahr_heizung[0] < gebaeude.baujahr_gebaeude[0]
	&& !hidden.has(AuditType.HEIZUNG_GEBAEUDE_BAUJAHR)
	}
	
	return false;
}